import matplotlib.pyplot as plt
import numpy as np

Pave = [0.1, 0.9]                   #  [合格, 不合格]／普通
Ptal = [0.9, 0.1]                   #  [合格, 不合格]／適性あり
Prior = [0.5, 0.5]                  #  [普通, 適性あり]

Pjoint = np.zeros((2, 2))           #             合格    不合格
                                    #   普通     [0, 0]  [0, 1]
                                    #   才能あり [1, 0]  [1, 1]
Pjoint[0, 0] = Prior[0] * Pave[0]
Pjoint[0, 1] = Prior[0] * Pave[1]
Pjoint[1, 0] = Prior[1] * Ptal[0]
Pjoint[1, 1] = Prior[1] * Ptal[1]
print(Pjoint)

Ppass = np.zeros(2)
Ppass[0] = Pjoint[0,0] / (Pjoint[0, 0] + Pjoint[1, 0])
Ppass[1] = Pjoint[1,0] / (Pjoint[0, 0] + Pjoint[1, 0])
print(Ppass)

Pfail = np.zeros(2)
Pfail[0] = Pjoint[0,1] / (Pjoint[0, 1] + Pjoint[1, 1])
Pfail[1] = Pjoint[1,1] / (Pjoint[0, 1] + Pjoint[1, 1])
print(Pfail)

x_range = [0, 1]            #   0: Average,     1: Talent

plt.plot(x_range, Pfail, color = 'r', linewidth = 3, label = 'X = Failure')
plt.plot(x_range, Pfail, color = 'r', marker = 'o', markersize = 10)
plt.plot(x_range, Ppass, color = 'b', linewidth = 3, label = 'X = Pass')
plt.plot(x_range, Ppass, color = 'b', marker = 'o', markersize = 10)
plt.xlim([-0.25, 1.25])
plt.xticks([0, 1], fontsize = 14)
plt.xlabel('0: Average          1: Talent', fontsize = 14)
plt.ylim([-0.1, 1.1])
plt.yticks([0.0, 1.0], fontsize = 14)
plt.ylabel('Posterior Distribution', fontsize = 14)
plt.legend(loc = 'upper center', fontsize = 14)
plt.show()


Prior = [0.99, 0.01]      #  [Average, Talent]

Pjoint[0, 0] = Prior[0] * Pave[0]
Pjoint[0, 1] = Prior[0] * Pave[1]
Pjoint[1, 0] = Prior[1] * Ptal[0]
Pjoint[1, 1] = Prior[1] * Ptal[1]
print(Pjoint)

Ppass = np.zeros(2)
Ppass[0] = Pjoint[0,0] / (Pjoint[0, 0] + Pjoint[1, 0])
Ppass[1] = Pjoint[1,0] / (Pjoint[0, 0] + Pjoint[1, 0])
print(Ppass)

Pfail = np.zeros(2)
Pfail[0] = Pjoint[0,1] / (Pjoint[0, 1] + Pjoint[1, 1])
Pfail[1] = Pjoint[1,1] / (Pjoint[0, 1] + Pjoint[1, 1])
print(Pfail)

x_range = [0, 1]            #   0: Average,     1: Talent

plt.plot(x_range, Pfail, color = 'r', linewidth = 3, label = 'X = Failure')
plt.plot(x_range, Pfail, color = 'r', marker = 'o', markersize = 10)
plt.plot(x_range, Ppass, color = 'b', linewidth = 3, label = 'X = Pass')
plt.plot(x_range, Ppass, color = 'b', marker = 'o', markersize = 10)
plt.xlim([-0.25, 1.25])
plt.xticks([0, 1], fontsize = 14)
plt.xlabel('0: Average          1: Talent', fontsize = 14)
plt.ylim([-0.1, 1.1])
plt.yticks([0.0, 1.0], fontsize = 14)
plt.ylabel('Posterior Distribution', fontsize = 14)
plt.legend(loc = 'upper center', fontsize = 14)
plt.show()


Pave = [0.0001, 0.9999]         #  [合格, 不合格]／普通
Prior = [0.99, 0.01]            #  [普通, 才能あり]

Pjoint[0, 0] = Prior[0] * Pave[0]
Pjoint[0, 1] = Prior[0] * Pave[1]
Pjoint[1, 0] = Prior[1] * Ptal[0]
Pjoint[1, 1] = Prior[1] * Ptal[1]
print(Pjoint)

Ppass = np.zeros(2)
Ppass[0] = Pjoint[0,0] / (Pjoint[0, 0] + Pjoint[1, 0])
Ppass[1] = Pjoint[1,0] / (Pjoint[0, 0] + Pjoint[1, 0])
print(Ppass)

Pfail = np.zeros(2)
Pfail[0] = Pjoint[0,1] / (Pjoint[0, 1] + Pjoint[1, 1])
Pfail[1] = Pjoint[1,1] / (Pjoint[0, 1] + Pjoint[1, 1])
print(Pfail)


x_range = [0, 1]            #   0: Average,     1: Talent

plt.plot(x_range, Pfail, color = 'r', linewidth = 3, label = 'X = Failure')
plt.plot(x_range, Pfail, color = 'r', marker = 'o', markersize = 10)
plt.plot(x_range, Ppass, color = 'b', linewidth = 3, label = 'X = Pass')
plt.plot(x_range, Ppass, color = 'b', marker = 'o', markersize = 10)
plt.xlim([-0.25, 1.25])
plt.xticks([0, 1], fontsize = 14)
plt.xlabel('0: Average          1: Talent', fontsize = 14)
plt.ylim([-0.1, 1.1])
plt.yticks([0.0, 1.0], fontsize = 14)
plt.ylabel('Posterior Distribution', fontsize = 14)
plt.legend(loc = 'upper center', fontsize = 14)
plt.show()

